## click-apparmor 0.0.3

=== debian/changelog ===
click-apparmor (0.0.3) saucy; urgency=low

  * split out python3-apparmor-click to only generate python3 versions
    of everything.

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 23 Jul 2013 12:25:45 -0700

click-apparmor (0.0.2) saucy; urgency=low

  * Update to incorporate click packaging and hook changes

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 23 Jul 2013 06:37:21 -0700

click-apparmor (0.0.1) UNRELEASED; urgency=low

  * Initial release.

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 11 Jul 2013 10:20:01 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ --with python3,click

override_dh_auto_build:
	dh_auto_build
	set -e; for python in $(PY3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	# setuptools likes to leave some debris around, which confuses
	# things.
	find build -name __pycache__ -print0 | xargs -0r rm -rf
	find build -name \*.egg-info -print0 | xargs -0r rm -rf
	dh_auto_install
	set -e; for python in $(PY3); do \
		$$python setup.py install --force --root=$(CURDIR)/debian/tmp \
			--no-compile --install-layout=deb; \
	done
	# make location in /var to store symlinks
	mkdir -p $(CURDIR)/debian/tmp/var/lib/apparmor/clicks
	dh_click --name apparmor

override_dh_auto_clean:
	dh_auto_clean

## click-apparmor 0.2

=== Makefile ===
TMPDIR   = ./tmp
PYFLAKES = $(TMPDIR)/pyflakes.out
PEP8 = $(TMPDIR)/pep8.out

ifndef $(PYTHON)
export PYTHON=python3
endif

PYFLAKES_EXE = pyflakes
ifeq ($(PYTHON),python3)
	PYFLAKES_EXE = pyflakes3
endif

all:
	# Use setup.py to install. See README for details
	exit 1

test:
	$(PYTHON) ./test-clicktool.py

coverage:
	$(PYTHON) -m coverage run ./test-clicktool.py

coverage-report:
	$(PYTHON) -m coverage report --show-missing --omit="*/apparmor/easyprof.py,*/pkg_resources.py"

pyflakes-check: clean
	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
	$(shell $(PYFLAKES_EXE) apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
	cat "$(PYFLAKES)"
	test ! -s "$(PYFLAKES)"
	@echo "Syntax is ok"

pep8-check: clean
	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
	$(shell pep8 apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 > $(PEP8))
	cat "$(PEP8)"
	test ! -s "$(PEP8)"
	@echo "PEP8 ok"

man-check: clean
	$(shell mkdir $(TMPDIR) 2>/dev/null)
	for page in `ls *.1`; do \
		manout=$(TMPDIR)/$$page.out; \
		echo "Checking $$page for errors... "; \
		PAGER=cat LANG='C' MANWIDTH=80 man --warnings -E ascii -l $$page >/dev/null 2> "$$manout"; \
		cat "$$manout"; \
		test ! -s "$$manout" || exit 1; \
		echo "PASS"; \
	done; \

	@echo "Man pages are ok"

check: pep8-check pyflakes-check man-check test

clean:
	rm -rf $(TMPDIR)
	rm -f ./apparmor/*.pyc
	rm -rf ./apparmor/__pycache__
	rm -rf ./.coverage

## click-apparmor 0.0.4

=== debian/changelog ===
click-apparmor (0.0.4) saucy; urgency=low

  * debian/rules: move dh_click to override_dh_auto_install

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 24 Jul 2013 02:05:31 -0500

=== debian/control ===
Source: click-apparmor
Section: admin
Priority: optional
Maintainer: Steve Beattie <steve.beattie@canoinical.com>
Build-Depends: debhelper (>= 9), python3 (>= 3.3), python3-all, python3-setuptools, python3-debian, pep8, click-dev
Standards-Version: 3.9.4
X-Python3-Version: >= 3.3

Package: click-apparmor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, apparmor-easyprof, click, python3-apparmor-click (= ${binary:Version})
Description: Click manifest to AppArmor easyprof conversion tools
 Provides a tool and a click hook for generating and managing AppArmor
 policies for Click packages.

Package: python3-apparmor-click
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, apparmor-easyprof, click
Description: Click manifest to AppArmor easyprof conversion tools
 Provides a python library for converting Ubuntu Click package
 manifests to AppArmor easyprof manifest files to generate AppArmor
 policies.

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,8 @@
 	done
 	# make location in /var to store symlinks
 	mkdir -p $(CURDIR)/debian/tmp/var/lib/apparmor/clicks
+
+override_dh_click:
 	dh_click --name apparmor
 
 override_dh_auto_clean:

## click-apparmor 0.0.5

=== debian/changelog ===
click-apparmor (0.0.5) saucy; urgency=low

  [ Steve Beattie ]
  * debian/control: fix typo in maintainer email address
  * apparmor/click.py:
    - fix up pyflakes warnings (1 false positive remains)
    - fix up some pylint warnings
    - some click applications don't specify the policy_groups entry at
      all when using the 'unconfined' template; don't reject and instead
      automatically create an empty list
    - use a default value for policy_version as well, again to be
      lenient in what is missing from what we accept

  [ Jamie Stranboge ]
  * debian/rules: run testsuite
  * test-clicktool.py: pyflakes cleanups

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 24 Jul 2013 15:42:26 -0700

=== debian/rules ===
--- 
+++ 
@@ -37,3 +37,8 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+
+override_dh_auto_test:
+	set -e; for python in $(PY3); do \
+		$$python ./test-clicktool.py; \
+	done

## click-apparmor 0.1.0

=== debian/changelog ===
click-apparmor (0.1.0) saucy; urgency=low

  * some pep8/code/comment cleanups and add documentation
  * remove unused aa-clickprototype
  * debian/rules: update to run pep8

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 08 Aug 2013 15:44:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: click-apparmor
 Section: admin
 Priority: optional
-Maintainer: Steve Beattie <steve.beattie@canoinical.com>
+Maintainer: Steve Beattie <steve.beattie@canonical.com>
 Build-Depends: debhelper (>= 9), python3 (>= 3.3), python3-all, python3-setuptools, python3-debian, pep8, click-dev
 Standards-Version: 3.9.4
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -42,3 +42,6 @@
 	set -e; for python in $(PY3); do \
 		$$python ./test-clicktool.py; \
 	done
+	pep8 ./aa-clickhook
+	pep8 ./aa-clicktool
+	pep8 --filename="*.py" .

## click-apparmor 0.1.1

=== debian/changelog ===
click-apparmor (0.1.1) saucy; urgency=low

  * implement apparmor_available() to allow installing click packages when
    apparmor is not available. Obviously this is not generally recommended
    for normal use, but is valid when installing click packages in a chroot,
    as with live-build
    - apparmor/click.py: implement apparmor_available()
    - test-clicktool.py: add tests
    - aa-clickhook: adjust to use apparmor_available()

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 13 Aug 2013 07:15:45 -0500

## click-apparmor 0.1.2

=== debian/changelog ===
click-apparmor (0.1.2) saucy; urgency=low

  * apparmor/click.py:
    - add dbus_path() (uses libnih-dbus) to generate an APP_ID_DBUS template
      variable
    - rename APPNAME to APP_PKGNAME and APPVERSION to APP_VERSION to make
      policy clear wrt click documentation
  * aa-clickhook: report but don't trace back failures to generate the profile
  * update tests for above
  * debian/control:
    - Build-Depends on libnih-dbus1 (needed for tests)
    - python3-apparmor-click should Depends on libnih-dbus1
    - python3-apparmor-click should Depends on apparmor-easyprof-ubuntu >=
      1.0.17 (due to variable name changes)
    - tighten up other dependencies

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 16 Aug 2013 12:22:42 -0500

## click-apparmor 0.1.3

=== debian/changelog ===
click-apparmor (0.1.3) saucy; urgency=low

  * support different policy vendors since the click hook should be usable
    with alternative app stores

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 16 Aug 2013 16:27:44 -0500

=== debian/control ===
Source: click-apparmor
Section: admin
Priority: optional
Maintainer: Steve Beattie <steve.beattie@canonical.com>
Build-Depends: debhelper (>= 9),
 python3 (>= 3.3),
 python3-all,
 python3-setuptools,
 python3-debian,
 pep8,
 click-dev,
 libnih-dbus1
Standards-Version: 3.9.4
X-Python3-Version: >= 3.3

Package: click-apparmor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 click,
 python3-apparmor-click (= ${binary:Version})
Description: Click manifest to AppArmor easyprof conversion tools
 Provides a tool and a click hook for generating and managing AppArmor
 policies for Click packages.

Package: python3-apparmor-click
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 apparmor-easyprof,
 apparmor-easyprof-ubuntu (>= 1.0.17),
 python3-click,
 libnih-dbus1
Description: Click manifest to AppArmor easyprof conversion tools
 Provides a python library for converting Ubuntu Click package
 manifests to AppArmor easyprof manifest files to generate AppArmor
 policies.

## click-apparmor 0.1.4

=== debian/changelog ===
click-apparmor (0.1.4) saucy; urgency=low

  [ Steve Beattie ]
  * aa-clickhook: output to stdout instead of stderr if no output file
    is specified.

  [ Jamie Strandboge ]
  * add support for abstractions, read_paths and write_paths. These are not
    generally allowed in the Ubuntu app store, but will be handled via the
    review process.
  * fix a few error strings
  * policy_version is JSON Number, not string
  * add some more policy_version tests
  * Qt json outputs 1.0 as 1. Account for that in our transmogrification to
    easyprof (LP: #1214618)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 Aug 2013 12:15:02 -0500

## click-apparmor 0.1.11

=== debian/changelog ===
click-apparmor (0.1.11) saucy; urgency=low

  * don't traceback on os.remove (LP: #1234908)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Oct 2013 14:46:54 -0500

click-apparmor (0.1.10) saucy; urgency=low

  * work around lack of first boot postinst-style code in lxc-android-config
    and ship a click-apparmor upstart job. This checks to see if apparmor or
    apparmor-easyprof-ubuntu's dpkg md5sums changed, and if so, runs
    'aa-clickhook -f'. This allows us to update policy for click packages on
    reboot after system-image updates. Note, the click system hooks job is
    not enough, because that correctly uses 'aa-clickhook' without arguments.
    'aa-clickhook -f' isn't normally needed so this job completes quickly
    in typical reboots ('aa-clickhook -f' still only updates the click policy
    that is affected). (LP: #1229449)
  * don't verify the policy before load. It will error on load which is
    equivalent to erroring out before load. This allows us to avoid parsing
    policy twice which can save significant time when regenerating lots of
    profiles, which is important during first boot after system upgrade
  * generated policy should be readable by everyone (the click security
    manifests are not private)
  * fix default path to apparmor_parser (thus avoiding a needless 'which')
  * debian/rules: cleanup .coverage and apparmor/__pycache__

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 23 Sep 2013 14:11:03 -0500

click-apparmor (0.1.9) saucy; urgency=low

  * aa-exec-click: account for when /usr/sbin is not in the user's PATH

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 05 Sep 2013 09:05:12 -0500

click-apparmor (0.1.8) saucy; urgency=low

  * apparmor/click.py: don't forget to delete temporary file when not
    updating policy
  * aa-clickhook, apparmor/click.py: add --include=PATH option for injecting
    #include "PATH" into profiles to support QA testing (eg, autopilot)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 04 Sep 2013 17:10:42 -0500

click-apparmor (0.1.7) saucy; urgency=low

  * README: update to describe how to test
  * add several new tests to complete coverage of apparmor/click.py
  * apparmor/click.py
    - don't overwrite existing file of policy is unchanged
    - fix couple of tracebacks with error reporting found by new tests
  * debian/control: Build-Depends on apparmor-easyprof-ubuntu since it is
    needed by the testsuite

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 30 Aug 2013 07:09:02 -0500

click-apparmor (0.1.6) saucy; urgency=low

  * fix bashism in aa-exec-click

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 27 Aug 2013 16:01:25 -0500

click-apparmor (0.1.5) saucy; urgency=low

  * add aa-exec-click
  * debian/control: Depends on apparmor that ships aa-exec
  * abstract out _unload_profile()
  * clarify clickname, profile_filename (formerly profilename) and raw_name
  * don't try to unload the profile from the kernel. Once there is a
    guarantee that the app is not running, then we can remove the profile

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 26 Aug 2013 13:30:41 -0500

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
  python3-debian,
  pep8,
  click-dev,
- libnih-dbus1
+ libnih-dbus1,
+ apparmor-easyprof-ubuntu
 Standards-Version: 3.9.4
 X-Python3-Version: >= 3.3
 
 Package: click-apparmor
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-apparmor-click (= ${binary:Version}),
  click,
- python3-apparmor-click (= ${binary:Version})
+ apparmor (>= 2.8.0-0ubuntu15)
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a tool and a click hook for generating and managing AppArmor
  policies for Click packages.

=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,17 @@
 	done
 	# make location in /var to store symlinks
 	mkdir -p $(CURDIR)/debian/tmp/var/lib/apparmor/clicks
+	# copy aa-exec-click into place
+	install -D -m 755 $(CURDIR)/aa-exec-click \
+		$(CURDIR)/debian/tmp/usr/bin/aa-exec-click
 
 override_dh_click:
 	dh_click --name apparmor
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -f ./.coverage
+	rm -rf ./apparmor/__pycache__
 
 override_dh_auto_test:
 	set -e; for python in $(PY3); do \

## click-apparmor 0.2

=== debian/changelog ===
click-apparmor (0.2) trusty; urgency=low

  * aa-exec-click: don't allow running under X by default
    - abort if running under X
    - add -x option to force running under X
    - add aa-exec-click.1 man page
    - debian/click-apparmor.manpages: install aa-exec-click.1
  * debian/control:
    - drop unneeded Depends on python3-click
    - Build-Depends on pyflakes
  * add Makefile for tests
  * debian/rules:
    - don't also call dh_auto_build now that we have a Makefile
    - update to use Makefile for test commands
  * support alternate frameworks and subframeworks
  * add API for querying policy version given the click framework
  * add aa-clickquery tool to use query API with associated man page and
    autopkgtest
  * add aa-clickhook man page

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Mar 2014 10:17:11 -0500

click-apparmor (0.1.15.3) trusty; urgency=low

  [ Jamie Strandboge ]
  * regenerate policy if hook symlink is newer than the profile (LP: #1291549)
  * debian/control: update for CI Train
    - Set X-Auto-Uploader to no-rewrite-version
    - Set Vcs-Bzr to the new target branch

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 02:18:35 +0000

click-apparmor (0.1.14) trusty; urgency=medium

  * implement autopkgtests
    - add debian/tests/control
    - add preliminary tests to debian/tests
    - adjust debian/control for XS-Testsuite
  * test-clicktool.py: don't run unload profiles if ADTTMP is set
  * apparmor/click.py: adjust to add mock_testenv and honor it to skip
    checking apparmor_dirs when set

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 05 Feb 2014 17:35:29 -0500

click-apparmor (0.1.13) trusty; urgency=low

  * prepend the click install directory to XDG_DATA_DIRS (LP: #1250546)
  * aa-exec-click: adjust to update LD_LIBRARY_PATH and QML2_IMPORT_PATH
  * debian/control: make click-apparmor Architecture: any so we can obtain
    the gnu triplet
  * debian/rules: adjust aa-exec-click for gnu triplet

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Dec 2013 10:18:55 -0600

click-apparmor (0.1.12) trusty; urgency=low

  [ Colin Watson ]
  * Treat manifests as UTF-8, even in non-UTF-8 locales (LP: #1245677).

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 28 Oct 2013 19:33:23 -0700

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,19 @@
  python3-setuptools,
  python3-debian,
  pep8,
+ pyflakes,
  click-dev,
  libnih-dbus1,
  apparmor-easyprof-ubuntu
 Standards-Version: 3.9.4
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-security/click-apparmor/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-security/click-apparmor/trunk/files
+X-Auto-Uploader: no-rewrite-version
 X-Python3-Version: >= 3.3
+XS-Testsuite: autopkgtest
 
 Package: click-apparmor
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-apparmor-click (= ${binary:Version}),
  click,
@@ -29,7 +34,6 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  apparmor-easyprof,
  apparmor-easyprof-ubuntu (>= 1.0.17),
- python3-click,
  libnih-dbus1
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a python library for converting Ubuntu Click package

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 # Run setup.py with the default python3 last so that the scripts use
 # #!/usr/bin/python3 and not #!/usr/bin/python3.X.
 PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3
+GNUTRIPLET := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
 %:
 	dh $@ --with python3,click
 
 override_dh_auto_build:
-	dh_auto_build
 	set -e; for python in $(PY3); do \
 		$$python setup.py build; \
 	done
@@ -34,19 +34,18 @@
 	# copy aa-exec-click into place
 	install -D -m 755 $(CURDIR)/aa-exec-click \
 		$(CURDIR)/debian/tmp/usr/bin/aa-exec-click
+	# adjust aa-exec-click for multiarch
+	sed -i "s/gnutriplet='###GNUTRIPLET###'/gnutriplet='$(GNUTRIPLET)'/" \
+		$(CURDIR)/debian/tmp/usr/bin/aa-exec-click
 
 override_dh_click:
 	dh_click --name apparmor
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f ./.coverage
-	rm -rf ./apparmor/__pycache__
 
 override_dh_auto_test:
-	set -e; for python in $(PY3); do \
-		$$python ./test-clicktool.py; \
-	done
-	pep8 ./aa-clickhook
-	pep8 ./aa-clicktool
-	pep8 --filename="*.py" .
+	#make pyflakes-check # needs locales setup
+	make pep8-check
+	LC_ALL=C make man-check
+	make test

=== debian/tests/control ===
Tests: run_testsuite-as-root test_aa-exec-click test_aa-clickhook test_aa-clickquery
Restrictions: needs-root allow-stderr
Depends: @, click

## click-apparmor 0.2ubuntu1

=== debian/changelog ===
click-apparmor (0.2ubuntu1) trusty-proposed; urgency=medium

  * Build-depend on apparmor-easyprof. (LP: #1451459)

 -- Matthias Klose <doko@carbon>  Thu, 17 Sep 2015 01:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: click-apparmor
 Section: admin
 Priority: optional
-Maintainer: Steve Beattie <steve.beattie@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve Beattie <steve.beattie@canonical.com>
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.3),
  python3-all,
@@ -11,6 +12,7 @@
  pyflakes,
  click-dev,
  libnih-dbus1,
+ apparmor-easyprof,
  apparmor-easyprof-ubuntu
 Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-security/click-apparmor/trunk

## click-apparmor 0.2.11.2

=== debian/changelog ===
click-apparmor (0.2.11.2) utopic; urgency=medium

  * aa-clickhook: disable expr tree simplification when calling the parser
    since this considerably slows down click policy compiles (LP: #1383858)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 22 Oct 2014 14:24:15 -0400

click-apparmor (0.2.11.1) utopic; urgency=medium

  * aa-clickhook: don't remove the lock file so we can properly handle 3 or
    more processes contending for the lock

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 Oct 2014 09:32:53 -0500

click-apparmor (0.2.11) utopic; urgency=medium

  * apparmor/click.py: be more careful with out_fn assignment in
    output_policy()
  * aa-clickhook: implement blocking lockfile to make sure this script does
    not run concurrently with itself (LP: #1377338)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 Oct 2014 00:15:57 -0500

click-apparmor (0.2.10) utopic; urgency=medium

  * also remove cache files on uninstall (LP: #1375938)
  * obtain all available click database names from click and use all of them
    in CLICK_DIR. This ensures that the profile can be used regardless of
    where the click app installation directory is (LP: #1371574)
  * debian/postinst: update the cached .md5sums file on upgrade to avoid
    running on install and then again on first boot after upgrade. This change
    only affects apt upgrades and not system-image upgrades since system-image
    upgrades always use the existing .md5sums if they exist (see
    /etc/system-image/writable-paths).

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 06 Oct 2014 16:01:26 -0500

click-apparmor (0.2.9) utopic; urgency=medium

  * update/properly implement aa-clickhook autopkgtest override tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 11 Jul 2014 12:47:20 -0500

click-apparmor (0.2.8) utopic; urgency=medium

  * update man page for how aa-clickhook works and tips on how to use it
  * implement policy overrides for abstractions, policy_groups, read_path
    and write_path and adjust autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Jul 2014 04:06:35 -0500

click-apparmor (0.2.7) utopic; urgency=medium

  * Remove init script and upstart job. This is now handled by the upstart
    job in the main apparmor package.
    - debian/control: bump depends to apparmor package with upstart job.
    - debian/postinst, debian/preinst, debian/postrm: remove init scripts
      with dpkg-maintscript-helper.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Jun 2014 07:25:52 -0400

click-apparmor (0.2.6) utopic; urgency=medium

  * add APP_APPNAME to APP_PKGNAME_DBUS to AppArmor variables

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 16 Jun 2014 08:30:18 -0500

click-apparmor (0.2.5) utopic; urgency=medium

  * debian/click-apparmor.init: add a sysv init script to satisfy init
    system transition. (LP: #1322296)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 May 2014 16:56:05 +0200

click-apparmor (0.2.4) utopic; urgency=medium

  * update debian/tests for 1.2 policy

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 May 2014 16:23:12 +0200

click-apparmor (0.2.3) utopic; urgency=medium

  * add 14.10 framework transform and tests
  * debian/control: adjust Maintainer

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 22 May 2014 11:41:08 +0200

click-apparmor (0.2.2) utopic; urgency=medium

  * aa-exec-click: adjust LD_LIBRARY_PATH to also include $pkgdir/lib"

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 01 May 2014 09:30:09 -0500

click-apparmor (0.2.1) utopic; urgency=medium

  * debian/tests/test_aa-clickhook:
    - fix user detection. Thanks to Martin Pitt
    - use 'click list --user=$user'
  * debian/control: Build-Depends on apparmor-easyprof

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 30 Apr 2014 10:47:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: click-apparmor
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve Beattie <steve.beattie@canonical.com>
+Maintainer: Ubuntu Security <security@ubuntu.com>
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.3),
  python3-all,
@@ -10,6 +9,7 @@
  python3-debian,
  pep8,
  pyflakes,
+ click,
  click-dev,
  libnih-dbus1,
  apparmor-easyprof,
@@ -26,7 +26,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-apparmor-click (= ${binary:Version}),
  click,
- apparmor (>= 2.8.0-0ubuntu15)
+ apparmor (>= 2.8.96~2541-0ubuntu1~)
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a tool and a click hook for generating and managing AppArmor
  policies for Click packages.

## click-apparmor 0.3.8

=== debian/changelog ===
click-apparmor (0.3.8) vivid; urgency=medium

  * debian/control: Recommends 'click | ubuntu-snappy-cli' instead of Depends
    (to get click off the snappy images; click is already exlicitly seeded in
    touch-core seed)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Apr 2015 12:40:23 -0500

click-apparmor (0.3.7) vivid; urgency=medium

  * add find_usable_framework() and use it to parse lists in the frameworks
    field of the snappy compat click manifest. This is needed for snaps to use
    snap frameworks

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 13 Apr 2015 13:45:05 -0500

click-apparmor (0.3.6) vivid; urgency=medium

  * update ubuntu-core-15.04 to use 15.04 policy_version as shipped by
    ubuntu-core-security-apparmor
  * add ubuntu-core-15.10 and ubuntu-core-16.04 framework transforms
  * add early snappy compatibility when policy_version is 1.3 and
    policy_vendor is ubuntu-snappy

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 11 Apr 2015 11:56:24 -0500

click-apparmor (0.3.5) vivid; urgency=medium

  * hardcode databases on snappy systems instead of using gi.repository to
    import Click
  * debian/control: adjust to use Depends: click | snappy-ubuntu-cli

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Apr 2015 19:38:01 -0500

click-apparmor (0.3.4) vivid; urgency=medium

  * support framework policy
    - remove docker-1.3 workaround
    - debian/control: click-apparmor Depends/Build-Depends on apparmor >=
      2.9.1-0ubuntu8~pre8
    - add framework_includes_dir to configuration section of click.py
    - add --include-templates-dir and --include-policy-groups-dir to easyprof
      args
  * debian/control: python3-apparmor-click Depends on apparmor-easyprof-ubuntu
    or apparmor-easyprof-ubuntu-snappy
  * debian/click-apparmor.dirs: install templates and policygroups directories
    in /var/lib/snappy/apparmor

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 27 Mar 2015 14:01:29 -0500

click-apparmor (0.3.3) vivid; urgency=medium

  * implement policy additions for abstractions, policy_groups, read_path
    and write_path and adjust autopkgtests (LP: #1425151)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 25 Feb 2015 16:38:49 -0600

click-apparmor (0.3.2) vivid; urgency=medium

  * finish/clean-up aa-profile-hook implementation
  * add units tests for aa-profile-hook
  * add autopkgtests for aa-profile-hook

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 15 Jan 2015 16:03:42 -0600

click-apparmor (0.3.2~snappy2) vivid; urgency=medium

  * adjust aa-profile-hook to set profile attachment and click variables if
    ###PROFILEATTACH### and ###VAR### are set
  * temporarily add docker-1.3 framework

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 03 Dec 2014 17:41:44 -0600

click-apparmor (0.3.2~snappy1) vivid; urgency=medium

  * add aa-profile-hook to provide apparmor-profile hook to install AppArmor
    profiles
  * debian/click-apparmor.install: install aa-profile-hook
  * debian/click-apparmor.dirs: create /var/lib/apparmor/snappy/profiles
  * debian/click-apparmor.manpages: install manpage
  * debian/rules: adjust to install apparmor-profile hook

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 02 Dec 2014 17:10:48 -0600

click-apparmor (0.3.1) vivid; urgency=medium

  * debian/tests/run_testsuite-as-root: adjust import for src.apparmor change

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 25 Nov 2014 19:37:11 -0600

click-apparmor (0.3) vivid; urgency=medium

  * add 15.04 frameworks, tests and autopkgtests
  * aa-clickhook, aa-clickquery, aa-clicktool, click.py, test-clicktool.py:
    use apparmor.common now that python3-apparmor is usable
  * fix running testsuite on systems with python2-apparmor-click already
    installed:
    - move apparmor/ to src/apparmor/
    - src/apparmor/click.py: clean up imports and references to imported
      items
    - test-clicktool.py: import from src.apparmor, not apparmor, clean up
      imports and references to imported items
    - adjust setup.py to use "package_dir = {'':'src'},"
  * skip duplicate policy groups, abstractions, read_path and write_path
    (LP: #1271577)
  * allow specifying multiple --include paths to aa-clickhook (LP: #1384812)
  * add autopkgtests for --include
  * simplify and document procedure for adding new frameworks (LP: #1387409)
  * debian/postrm: remove md5sum file on purge
  * add ubuntu-core-15.04 framework and adjust tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 25 Nov 2014 10:37:31 -0600

## click-apparmor 0.3.10

=== Makefile ===
--- 
+++ 
@@ -22,18 +22,18 @@
 	$(PYTHON) -m coverage run ./test-clicktool.py
 
 coverage-report:
-	$(PYTHON) -m coverage report --show-missing --omit="*/apparmor/easyprof.py,*/pkg_resources.py"
+	$(PYTHON) -m coverage report --show-missing --omit="*/apparmor/easyprof.py,*/apparmor/common.py,test-clicktool.py,*/gi/*,*/pkg_resources.py"
 
 pyflakes-check: clean
 	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
-	$(shell $(PYFLAKES_EXE) apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
+	$(shell $(PYFLAKES_EXE) ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py ./aa-profile-hook 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
 	cat "$(PYFLAKES)"
 	test ! -s "$(PYFLAKES)"
 	@echo "Syntax is ok"
 
 pep8-check: clean
 	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
-	$(shell pep8 apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 > $(PEP8))
+	$(shell pep8 ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py ./aa-profile-hook 2>&1 > $(PEP8))
 	cat "$(PEP8)"
 	test ! -s "$(PEP8)"
 	@echo "PEP8 ok"
@@ -55,6 +55,8 @@
 
 clean:
 	rm -rf $(TMPDIR)
-	rm -f ./apparmor/*.pyc
-	rm -rf ./apparmor/__pycache__
+	rm -f ./src/apparmor/*.pyc
+	rm -rf ./src/apparmor/__pycache__
+	rm -rf ./__pycache__
 	rm -rf ./.coverage
+	rm -rf ./build

=== debian/changelog ===
click-apparmor (0.3.10) wily; urgency=medium

  * debian/tests/test_aa-clickhook, test_aa-profile-hook: mock apparmor cache
    file so as not to give confusing error during click unregister with newer
    click versions
  * src/apparmor/click.py:
    - whitespace update for new pep8
    - update mappings for ubuntu-sdk-15.10 and ubuntu-personal

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 14 Aug 2015 11:12:23 -0500

click-apparmor (0.3.9build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:33:44 +0000

click-apparmor (0.3.9) wily; urgency=medium

  [ Jamie Strandboge ]
  * 'improve' detection is system is snappy. This is crude but is better than
    the previous check

  [ Sergio Schvezov ]
  * Add /frameworks to CLICK_DIR on snappy-based systems

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 14:33:49 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  click,
  click-dev,
  libnih-dbus1,
- apparmor-easyprof,
+ apparmor-easyprof (>= 2.9.1-0ubuntu8~pre8),
  apparmor-easyprof-ubuntu
 Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-security/click-apparmor/trunk
@@ -25,8 +25,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-apparmor-click (= ${binary:Version}),
- click,
- apparmor (>= 2.8.96~2541-0ubuntu1~)
+ apparmor (>= 2.9.1-0ubuntu8~pre8)
+Recommends: click | ubuntu-snappy-cli
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a tool and a click hook for generating and managing AppArmor
  policies for Click packages.
@@ -35,7 +35,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
  apparmor-easyprof,
- apparmor-easyprof-ubuntu (>= 1.0.17),
+ apparmor-easyprof-ubuntu (>= 1.0.17) | ubuntu-core-security-apparmor,
  libnih-dbus1
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a python library for converting Ubuntu Click package

=== debian/tests/control ===
Tests: run_testsuite-as-root test_aa-exec-click test_aa-clickhook test_aa-clickquery test_aa-profile-hook
Restrictions: needs-root allow-stderr
Depends: @, click

## click-apparmor 0.3.13

=== Makefile ===
--- 
+++ 
@@ -26,14 +26,14 @@
 
 pyflakes-check: clean
 	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
-	$(shell $(PYFLAKES_EXE) ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py ./aa-profile-hook 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
+	$(shell $(PYFLAKES_EXE) ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
 	cat "$(PYFLAKES)"
 	test ! -s "$(PYFLAKES)"
 	@echo "Syntax is ok"
 
 pep8-check: clean
 	$(shell test -d $(TMPDIR) || mkdir $(TMPDIR))
-	$(shell pep8 ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py ./aa-profile-hook 2>&1 > $(PEP8))
+	$(shell pep8 ./src/apparmor/*py ./aa-clickhook ./aa-clicktool ./aa-clickquery ./test-clicktool.py 2>&1 > $(PEP8))
 	cat "$(PEP8)"
 	test ! -s "$(PEP8)"
 	@echo "PEP8 ok"

=== debian/changelog ===
click-apparmor (0.3.13) xenial; urgency=medium

  * click-apparmor is no longer used by snappy, so remove anything snappy
    related:
    - remove aa-profile-hook and aa-profile-hook.1
    - don't ship apparmor-profile.click-hook
    - remove aa-profile autopkgtests
    - debian/control:
      + don't Recommends ubuntu-snappy-cli
      + don't Depends on ubuntu-core-security-apparmor
    - debian/click-apparmor.dirs: don't create snappy directories
    - src/apparmor/click.py:
      + don't check if snappy system
      + remove ubuntu-snappy/15.04 compat code
      + remove framework_includes_dir
      + don't ship ubuntu-core and ubuntu-personal transforms
    - Makefile: remoave any references to aa-profile-hook
  * update autopkgtests for 15.10 and 16.04
  * aa-clickquery: properly handle policy version detection for Ubuntu
    frameworks on 15.10 and later

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Jan 2016 12:41:20 -0600

click-apparmor (0.3.12) xenial; urgency=medium

  * update testsuite to include point release frameworks
  * use 'gi.require_version('Click', '0.4')' to silence PyGI warning

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 27 Oct 2015 13:10:08 -0500

click-apparmor (0.3.11) xenial; urgency=medium

  * debian/tests/test_aa-clickhook: Create /usr/share/click/frameworks as
    there is no package in our test dependencies which ships that dir.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 16:37:49 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-apparmor-click (= ${binary:Version}),
  apparmor (>= 2.9.1-0ubuntu8~pre8)
-Recommends: click | ubuntu-snappy-cli
+Recommends: click
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a tool and a click hook for generating and managing AppArmor
  policies for Click packages.
@@ -35,7 +35,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
  apparmor-easyprof,
- apparmor-easyprof-ubuntu (>= 1.0.17) | ubuntu-core-security-apparmor,
+ apparmor-easyprof-ubuntu (>= 1.0.17),
  libnih-dbus1
 Description: Click manifest to AppArmor easyprof conversion tools
  Provides a python library for converting Ubuntu Click package

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 override_dh_click:
 	dh_click --name apparmor
+	dh_click --name apparmor-profile
 
 override_dh_auto_clean:
 	dh_auto_clean

## click-apparmor 0.3.13.1

=== debian/changelog ===
click-apparmor (0.3.13.1) xenial-proposed; urgency=medium

  * src/apparmor/click.py: adjust _ubuntu_transform() to handle .10 releases
    of Ubuntu (LP: #1581097)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 12 May 2016 14:19:34 -0500

## click-apparmor 0.3.17

=== debian/changelog ===
click-apparmor (0.3.17) yakkety; urgency=medium

  * Remove remaining 13.10 framework reference from autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 05 Oct 2016 22:18:31 +0000

click-apparmor (0.3.16) yakkety; urgency=medium

  * adjust autopkgtests to remove 13.10 frameworks

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 25 Aug 2016 17:15:18 -0500

click-apparmor (0.3.15) yakkety; urgency=medium

  * debian/tests/test_aa-exec-click: Upstream AppArmor >= 2.10.95 now installs
    aa-exec into /usr/bin/. Adjust the test so that it doesn't hardcode the
    aa-exec install path. (LP: #1581210)

 -- Tyler Hicks <tyhicks@canonical.com>  Sat, 04 Jun 2016 00:38:21 -0500

click-apparmor (0.3.14) yakkety; urgency=medium

  * src/apparmor/click.py: adjust _ubuntu_transform() to handle .10 releases
    of Ubuntu (LP: #1581097)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 12 May 2016 12:08:07 -0500

## click-apparmor 0.3.18

=== debian/changelog ===
click-apparmor (0.3.18) zesty; urgency=medium

  * PEP8 FTBFS fixes. (LP: #1679861)

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 04 Apr 2017 16:20:19 -0700
